Bug 1305218 - qt: FTBFS in rawhide
qt: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-06 01:29 EST by Fedora Release Engineering
Modified: 2016-02-10 12:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 12:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (2.33 MB, text/plain)
2016-02-06 01:30 EST, Fedora Release Engineering
no flags Details
root.log (114.81 KB, text/plain)
2016-02-06 01:30 EST, Fedora Release Engineering
no flags Details
state.log (601 bytes, text/plain)
2016-02-06 01:30 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-06 01:29:57 EST
Your package qt failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12793742

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-06 01:30:03 EST
Created attachment 1121586 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-06 01:30:07 EST
Created attachment 1121587 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-06 01:30:11 EST
Created attachment 1121588 [details]
state.log
Comment 4 Kevin Kofler 2016-02-06 05:05:44 EST
In file included from api/qcoloringmessagehandler_p.h:57:0,
                 from api/qxmlquery_p.h:67,
                 from api/qvariableloader.cpp:54:
api/qcoloroutput_p.h:74:60: warning: result of '(1048575 << 20)' requires 41 bits to represent, but 'int' only has 32 bits [-Wshift-overflow=]
             BackgroundMask  = ((1 << BackgroundShift) - 1) << BackgroundShift
                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~
api/qcoloroutput_p.h:74:60: error: shift expression '(1048575 << 20)' overflows [-fpermissive]
api/qcoloroutput_p.h:74:63: error: enumerator value for 'BackgroundMask' is not an integer constant
             BackgroundMask  = ((1 << BackgroundShift) - 1) << BackgroundShift
                                                               ^~~~~~~~~~~~~~~
Makefile:2595: recipe for target '.obj/release-shared/qvariableloader.o' failed
make[1]: *** [.obj/release-shared/qvariableloader.o] Error 1
Comment 5 Ngo Than 2016-02-09 17:10:11 EST
(In reply to Kevin Kofler from comment #4)
> In file included from api/qcoloringmessagehandler_p.h:57:0,
>                  from api/qxmlquery_p.h:67,
>                  from api/qvariableloader.cpp:54:
> api/qcoloroutput_p.h:74:60: warning: result of '(1048575 << 20)' requires 41
> bits to represent, but 'int' only has 32 bits [-Wshift-overflow=]
>              BackgroundMask  = ((1 << BackgroundShift) - 1) <<
> BackgroundShift
>                               
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~
> api/qcoloroutput_p.h:74:60: error: shift expression '(1048575 << 20)'
> overflows [-fpermissive]
> api/qcoloroutput_p.h:74:63: error: enumerator value for 'BackgroundMask' is
> not an integer constant
>              BackgroundMask  = ((1 << BackgroundShift) - 1) <<
> BackgroundShift
>                                                               
> ^~~~~~~~~~~~~~~
> Makefile:2595: recipe for target '.obj/release-shared/qvariableloader.o'
> failed
> make[1]: *** [.obj/release-shared/qvariableloader.o] Error 1

this issue is alread fixed (fix commited in git). There're still many other issues which cause the build failure. I'm working on the fi
Comment 6 Ngo Than 2016-02-10 12:10:54 EST
it's fixed in qt-4.8.7-8.fc24.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12929836

Note You need to log in before you can comment on or make changes to this bug.